> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete contract

> Deletes the specified contract.



## OpenAPI

````yaml /api-reference/openapi.json delete /contracts/{contract_id}
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /contracts/{contract_id}:
    delete:
      tags:
        - Contracts
      summary: Delete contract
      description: Deletes the specified contract.
      parameters:
        - name: contract_id
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Contract deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Contract'
components:
  schemas:
    Contract:
      type: object
      description: Contract entity
      properties:
        id:
          type: integer
          description: Contract ID
        client_id:
          type: integer
          description: Client ID
        json_integrations:
          type:
            - object
            - array
            - string
            - number
            - boolean
            - 'null'
          description: Integration payload stored as JSON
        name:
          type: string
          description: Contract name
        type:
          type: string
          description: Contract type
        source:
          type: string
          description: Source of the contract
        status:
          type: string
          description: Contract status
        company_id:
          type: integer
          description: Company ID
        start:
          type: string
          format: date-time
          description: Contract start date-time
        end:
          type: string
          format: date-time
          description: Contract end date-time
        frequency:
          type: string
          description: Contract billing frequency
        currency_id:
          type: integer
          description: Currency ID
        currency:
          type: object
          properties:
            id:
              type: integer
              description: Currency ID
            name:
              type: string
              description: Currency name
        url:
          type: string
          description: External URL
        url_name:
          type: string
          description: External URL name
        user_positions_header_id:
          type: integer
          description: User positions header ID
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Deletion timestamp (soft delete)
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````